{
  "type": "minecraft:crafting_shapeless",
  "category": "misc",
  "ingredients": [
    {
      "item": "minecraft:ghast_tear"
    },
    {
      "item": "minecraft:ender_pearl"
    },
    {
      "item": "minecraft:ender_pearl"
    },
    {
      "item": "minecraft:paper"
    },
    {
      "item": "minecraft:obsidian"
    },
    {
      "item": "minecraft:echo_shard"
    },
    {
      "item": "minecraft:echo_shard"
    },
    {
      "item": "minecraft:echo_shard"
    },
    {
      "item": "minecraft:echo_shard"
    }
  ],
  "result": {
    "id": "minecraft:knowledge_book"
  }
}